curl --request GET \
--url https://api.withflex.com/v1/payment_intents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/payment_intents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_intents": [
{
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"amount_capturable": 2500,
"amount_received": 2500,
"application_fee_amount": 0,
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"transfer_data": {
"amount": 2500,
"destination": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"status": "canceled",
"latest_charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"invoice": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"capture_method": "automatic",
"client_secret": "string",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false,
"transfer_group": "example_value",
"payment_card_type": "primary",
"letter_fee_amount": 0,
"transaction_fee": 0,
"last_payment_error": {
"type": "string",
"code": "string",
"decline_code": "string",
"message": "string",
"payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
}
]
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}List Payment Intents
Returns a list of payment intents
Authorizations
Use a Bearer token to access this API.
Query Parameters
Comma-separated list of related objects to expand in the response.
""
If true, expands the customer object in the response.
false
Filter by customer ID.
"fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Filter by checkout session ID.
"fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A cursor for use in pagination. starting_after is a payment intent ID that defines your place in the list. For instance, if you make a list request and receive 20 payment intents, ending with fpi_xyz, your subsequent call can include starting_after=fpi_xyz to fetch the next page.
"fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A cursor for use in pagination. ending_before is a payment intent ID that defines your place in the list. For instance, if you make a list request and receive 20 payment intents, starting with fpi_abc, your subsequent call can include ending_before=fpi_abc to fetch the previous page.
"fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
-2147483648 <= x <= 214748364710
Number of objects to skip before returning results.
-2147483648 <= x <= 21474836473
Response
An envelope wrapping a list of payment intent objects.
An envelope wrapping a list of payment intent objects.
The list of payment intents.
Show child attributes
Show child attributes